package com.diaoyun.zion.chinafrica.entity;

import java.io.Serializable;
import java.util.Date;

/**
 * 店铺管理实体
 * 表名 tb_cf_store
 *
 * @author lipengjun
 * @date 2019-09-05 16:51:07
 */
public class TbCfStoreEntity implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 店铺id
     */
    private String storeId;
    /**
     * 店铺编号
     */
    private String storeCode;
    /**
     * 店铺名字
     */
    private String storeName;
    /**
     * 店铺简介
     */
    private String storeBrief;
    /**
     * 店铺链接
     */
    private String storeUrl;
    /**
     * 店铺图片
     */
    private String storeImg;
    /**
     * 所属平台
     */
    private String platformCode;
    /**
     * 平台名
     */
    private String platformName;
    /**
     * 启用状态
     */
    private Integer enableFlag;
    /**
     * 创建日期
     */
    private Date createTime;

    /**
     * 主营商品图片1
     */
    private String itemImg1;
    /**
     * 主营商品图片2
     */
    private String itemImg2;


    /**
     * 设置：店铺id
     */
    public void setStoreId(String storeId) {
        this.storeId = storeId;
    }

    /**
     * 获取：店铺id
     */
    public String getStoreId() {
        return storeId;
    }
    /**
     * 设置：店铺编号
     */
    public void setStoreCode(String storeCode) {
        this.storeCode = storeCode;
    }

    /**
     * 获取：店铺编号
     */
    public String getStoreCode() {
        return storeCode;
    }
    /**
     * 设置：店铺名字
     */
    public void setStoreName(String storeName) {
        this.storeName = storeName;
    }

    /**
     * 获取：店铺名字
     */
    public String getStoreName() {
        return storeName;
    }
    /**
     * 设置：店铺简介
     */
    public void setStoreBrief(String storeBrief) {
        this.storeBrief = storeBrief;
    }

    /**
     * 获取：店铺简介
     */
    public String getStoreBrief() {
        return storeBrief;
    }
    /**
     * 设置：店铺链接
     */
    public void setStoreUrl(String storeUrl) {
        this.storeUrl = storeUrl;
    }

    /**
     * 获取：店铺链接
     */
    public String getStoreUrl() {
        return storeUrl;
    }
    /**
     * 设置：店铺图片
     */
    public void setStoreImg(String storeImg) {
        this.storeImg = storeImg;
    }

    /**
     * 获取：店铺图片
     */
    public String getStoreImg() {
        return storeImg;
    }
    /**
     * 设置：所属平台
     */
    public void setPlatformCode(String platformCode) {
        this.platformCode = platformCode;
    }

    /**
     * 获取：所属平台
     */
    public String getPlatformCode() {
        return platformCode;
    }
    /**
     * 设置：平台名
     */
    public void setPlatformName(String platformName) {
        this.platformName = platformName;
    }

    /**
     * 获取：平台名
     */
    public String getPlatformName() {
        return platformName;
    }
    /**
     * 设置：启用状态
     */
    public void setEnableFlag(Integer enableFlag) {
        this.enableFlag = enableFlag;
    }

    /**
     * 获取：启用状态
     */
    public Integer getEnableFlag() {
        return enableFlag;
    }
    /**
     * 设置：创建日期
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 获取：创建日期
     */
    public Date getCreateTime() {
        return createTime;
    }

    public String getItemImg1() {
        return itemImg1;
    }

    public void setItemImg1(String itemImg1) {
        this.itemImg1 = itemImg1;
    }

    public String getItemImg2() {
        return itemImg2;
    }

    public void setItemImg2(String itemImg2) {
        this.itemImg2 = itemImg2;
    }
}
